function time
hFig1 = figure('Name','Среднее время поступления заявки(A)')

m=2147483647;
a=630360016;
n=1000;
e(1)=8214000;
A=20;
S=30;

for i=1:n
e(i+1)=mod(a*e(i),m);
end;
e=e/m; 

b=A;
for i=1:n
    xA=-b*log(1-e);
end;

M=0;
for i=1:n
    M=M+xA(i);
end;
M=M/n; %оценочное мат ожидание
M

buf=0;
for i=1:n
    buf=buf+((xA(i)-M)^2);      
end;
D=buf/(n-1); %оценочная дисперсия
D

%-----------Доверительный интервал-----------------

MS1=M-(1.96*D/n^0.5)
MS2=M+(1.96*D/n^0.5)
%--------------------------------------------------

K=0;
for j=1:n-1
    for i=1:n-j
    K=K+(xA(i)-M)*(xA(i+j)-M);
    end;
Kj(j)=K/(n-j);
end;

for j=1:n-1
    Pj=Kj/D;%коэффициент корреляции
end;

% SUBPLOT(2,1,1)
for j=1:20
    plot(j,Pj(j),'b:.');
    hold on;
end;

% SUBPLOT(2,1,2)
h5=figure;
for j=1:300
    plot(xA(j),xA(j+1),'b:.');
    hold on;
end;

m=100;
ma=max(xA);
mi=min(xA);
dx=(ma-mi)/m

int(1)=dx;
for i=1:m
   int(i+1)=int(i)+dx;
end;

data=xA;
intervals=int;
count=histc(data,intervals)
hFig2 = figure('Name','Гистограмма A')
for i=1:m
z(i)=count(1,i);
end;

H=count(1)/n/dx;
for i=2:m
    h=count(i)/n/dx;
    H=[H h];
end;
bar(H,1);
% bar(intervals,f,1)
hold on;

Y=1/b*exp(-z(1)/b);
for i=2:m
    y=(1/b)*exp(-z(i)/b);
    Y=[Y y];      
end
plot(z,Y,'r:.')
end;

